## node-globals 11.1.0

=== Makefile ===
ifeq ($(words $(MAKECMDGOALS)), 1)
	LEVEL = minor
else
	LEVEL = $(filter-out $@,$(MAKECMDGOALS))
endif

release: package.json
	git pull --rebase
	npm test
	npm version $(LEVEL)
	npm publish
	git push --follow-tags

%:
	@:

## node-globals 9.14.0

=== debian/changelog ===
node-globals (9.14.0-1) unstable; urgency=low

  * Initial release (Closes: #848844)

 -- Pirate Praveen <praveen@debian.org>  Tue, 20 Dec 2016 11:33:06 +0530

=== debian/control ===
Source: node-globals
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends:
 debhelper (>= 9)
 , dh-buildinfo
 , nodejs
 , mocha
Standards-Version: 3.9.8
Homepage: https://github.com/sindresorhus/globals#readme
Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-globals.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-globals.git

Package: node-globals
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
Description: Global identifiers from different JavaScript environments
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:

override_dh_auto_test:
	mocha -R spec

=== debian/tests/control ===
Tests: require
Depends: node-globals

Test-Command: mocha -R spec
Depends: @, mocha

## node-globals 11.1.0

=== debian/changelog ===
node-globals (11.1.0-1) unstable; urgency=medium

  * New upstream release
  * Disable tests (test framework changed from mocha to ava)

 -- Pirate Praveen <praveen@debian.org>  Fri, 05 Jan 2018 22:53:02 +0530

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: node-globals
-Section: web
+Section: javascript
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>
@@ -7,8 +7,7 @@
  debhelper (>= 9)
  , dh-buildinfo
  , nodejs
- , mocha
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://github.com/sindresorhus/globals#readme
 Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-globals.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-globals.git

=== debian/rules ===
--- 
+++ 
@@ -9,5 +9,3 @@
 
 override_dh_auto_build:
 
-override_dh_auto_test:
-	mocha -R spec

=== debian/tests/control ===
Tests: require
Depends: node-globals

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-globals-$1.tar.gz/ \
 https://github.com/sindresorhus/globals/tags .*/archive/v?([\d\.]+).tar.gz

## node-globals 11.12.0

=== debian/changelog ===
node-globals (11.12.0-1) unstable; urgency=medium

  * New upstream version 11.12.0
  * Add d/upstream/metadata
  * Switch test and install to pkg-js-tools
  * Add patch to use tape for tests
  * Update d/copyright
  * Bump Standards-Version to 4.4.0
  * Bump debhelper-compat to 12
  * Add myself as an uploader
  * Update d/control w.r.t cme

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Fri, 30 Aug 2019 07:49:18 +0530

=== debian/control ===
Source: node-globals
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>,
           Utkarsh Gupta <guptautkarsh2102@gmail.com>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends: debhelper-compat (= 12),
               nodejs,
               node-tape <!nocheck>,
               pkg-js-tools (>= 0.8.11)
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/js-team/node-globals
Vcs-Git: https://salsa.debian.org/js-team/node-globals.git
Homepage: https://github.com/sindresorhus/globals

Package: node-globals
Architecture: all
Depends: ${misc:Depends},
         nodejs
Description: Global identifiers from different JavaScript environments
 Extracted from JSHint and ESLint and merged.
 It's just a JSON file, so it can be used in whatever environment one likes.
 .
 Node.js is an event-based server-side JavaScript engine.

## node-globals 12.3.0

=== debian/changelog ===
node-globals (12.3.0-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.4.1
  * Add "Rules-Requires-Root: no"
  * Add debian/gbp.conf
  * New upstream version 12.3.0

 -- Xavier Guimard <yadd@debian.org>  Wed, 04 Dec 2019 21:03:13 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,11 @@
                nodejs,
                node-tape <!nocheck>,
                pkg-js-tools (>= 0.8.11)
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-globals
 Vcs-Git: https://salsa.debian.org/js-team/node-globals.git
 Homepage: https://github.com/sindresorhus/globals
+Rules-Requires-Root: no
 
 Package: node-globals
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with nodejs

## node-globals 13.3.0

=== debian/changelog ===
node-globals (13.3.0-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Update standards version to 4.5.0, no changes needed.

  [ Xavier Guimard ]
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.1
  * Modernize debian/watch
  * Use dh-sequence-nodejs
  * New upstream version 13.3.0
  * Refresh patch
  * Apply multi-arch hints (foreign)

 -- Xavier Guimard <yadd@debian.org>  Fri, 27 Nov 2020 10:26:50 +0100

## node-globals 13.4.0

=== debian/changelog ===
node-globals (13.4.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 13.4.0

 -- Xavier Guimard <yadd@debian.org>  Wed, 09 Dec 2020 11:24:22 +0100

## node-globals 13.5.0

=== debian/changelog ===
node-globals (13.5.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 13.5.0

 -- Xavier Guimard <yadd@debian.org>  Tue, 22 Dec 2020 08:45:48 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Build-Depends: debhelper-compat (= 12),
                nodejs,
                node-tape <!nocheck>,
-               pkg-js-tools (>= 0.8.11)
-Standards-Version: 4.4.1
+               dh-sequence-nodejs
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-globals
 Vcs-Git: https://salsa.debian.org/js-team/node-globals.git
 Homepage: https://github.com/sindresorhus/globals
@@ -19,6 +19,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          nodejs
+Multi-Arch: foreign
 Description: Global identifiers from different JavaScript environments
  Extracted from JSHint and ESLint and merged.
  It's just a JSON file, so it can be used in whatever environment one likes.

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-globals-$1.tar.gz/ \
 https://github.com/sindresorhus/globals/tags .*/archive/v?([\d\.]+).tar.gz

## node-globals 13.12.1

=== debian/changelog ===
node-globals (13.12.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 13.12.1

 -- Yadd <yadd@debian.org>  Sat, 19 Feb 2022 13:06:27 +0100

node-globals (13.12.0-1) unstable; urgency=medium

  * Team upload
  * Fix GitHub tags regex
  * Update standards version to 4.6.0, no changes needed
  * Fix filenamemangle
  * Drop dependency to nodejs
  * New upstream version 13.12.0

 -- Yadd <yadd@debian.org>  Fri, 24 Dec 2021 17:14:26 +0100

=== debian/control ===
Source: node-globals
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>,
 Utkarsh Gupta <guptautkarsh2102@gmail.com>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , node-tape <!nocheck>
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/js-team/node-globals
Vcs-Git: https://salsa.debian.org/js-team/node-globals.git
Homepage: https://github.com/sindresorhus/globals
Rules-Requires-Root: no

Package: node-globals
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Global identifiers from different JavaScript environments
 Extracted from JSHint and ESLint and merged.
 It's just a JSON file, so it can be used in whatever environment one likes.
 .
 Node.js is an event-based server-side JavaScript engine.

## node-globals 13.17.0

=== debian/changelog ===
node-globals (13.17.0-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.6.1
  * New upstream version 13.17.0

 -- Yadd <yadd@debian.org>  Tue, 30 Aug 2022 11:14:31 +0200

node-globals (13.13.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 13.13.0

 -- Michael Ikwuegbu <michaelikwuegbu1@gmail.com>  Wed, 30 Mar 2022 18:30:08 -0400

## node-globals 13.18.0

=== debian/changelog ===
node-globals (13.18.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 13.18.0

 -- Yadd <yadd@debian.org>  Fri, 25 Nov 2022 14:58:58 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: debhelper-compat (= 13)
  , dh-sequence-nodejs
  , node-tape <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-globals
 Vcs-Git: https://salsa.debian.org/js-team/node-globals.git
 Homepage: https://github.com/sindresorhus/globals

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-globals-$1/ \
 https://github.com/sindresorhus/globals/tags .*/archive/.*/v?([\d\.]+).tar.gz

## node-globals 13.23.0

=== debian/changelog ===
node-globals (13.23.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 13.23.0
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Ananthu C V <weepingclown@disroot.org>  Mon, 16 Oct 2023 23:27:04 +0530

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: debhelper-compat (= 13)
  , dh-sequence-nodejs
  , node-tape <!nocheck>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/js-team/node-globals
 Vcs-Git: https://salsa.debian.org/js-team/node-globals.git
 Homepage: https://github.com/sindresorhus/globals
